/* -*- ObjC -*- */
#ifndef __included_nuke_h
#define __included_nuke_h

#include "thing.h"

@interface Nuke: Thing
{
    double radius;
    int nuke_radius;
    int pid;
}
- (id) setNukeRadius:(int)r;
- (id) setParentID:(int)n;
- (BOOL) collidesWith:(Thing <DetectsCollision> *)object;
- (int) receiveDamage:(int)damage;
- (int) parentID;
@end

Nuke *nuke_in_contact_with(Thing <DetectsCollision> *object);
void draw_nukes(BITMAP *dest);
void update_nukes(void);
Nuke *spawn_nuke(double x, double y, int pid);

void nuke_init(void);
void nuke_shutdown(void);

#endif
